import Vue from 'vue';
import Router from 'vue-router';

Vue.use(Router);
export default new Router({
  mode: 'history',
  base: process.env.NODE_ENV === 'development' ? '' : 'liveadmin',
  routes: [
    {
      path: '/',
      redirect: '/homeIndex',
    },
    {
      path: '/',
      component: () => import('../components/common/Home.vue'),
      meta: { title: '自述文件' },
      children: [
        {
          path: '/homeIndex',
          component: () => import('../views/homeIndex.vue'),
          meta: { title: '系统首页' },
        },
        // 菜单管理
        {
          path: '/menu',
          component: () => import('../views/menu/index.vue'),
          meta: { title: '菜单管理' },
        },
        // 机构代码或邀请码
        {
          path: '/code',
          component: () => import('../views/code/index.vue'),
          meta: { title: '机构代码或邀请码' },
        },
        // 管理员
        {
          path: '/gly',
          component: () => import('../views/gly/index.vue'),
          meta: { title: '管理员管理' },
        },
        {
          path: '/gly/detail',
          component: () => import('../views/gly/detail.vue'),
          meta: { title: '管理员信息管理' },
        },
        // 机构管理员
        {
          path: '/jg',
          component: () => import('../views/jg/index.vue'),
          meta: { title: '机构管理员' },
        },
        {
          path: '/jg/detail',
          component: () => import('../views/jg/detail.vue'),
          meta: { title: '机构管理员信息管理' },
        },
        // 业务管理员
        {
          path: '/yw',
          component: () => import('../views/yw/index.vue'),
          meta: { title: '业务管理员' },
        },
        {
          path: '/yw/detail',
          component: () => import('../views/yw/detail.vue'),
          meta: { title: '业务管理员信息管理' },
        },
        // 用户管理
        {
          path: '/user',
          component: () => import('../views/user/index.vue'),
          meta: { title: '用户管理' },
        },
        {
          path: '/user/detail',
          component: () => import('../views/user/detail.vue'),
          meta: { title: '用户信息管理' },
        },
        // 审核管理
        {
          path: '/product',
          component: () => import('../views/product/index.vue'),
          meta: { title: '审核管理' },
        },
        {
          path: '/product/detail',
          component: () => import('../views/product/detail.vue'),
          meta: { title: '信息审核管理' },
        },
        // 展会管理
        {
          path: '/live',
          component: () => import('../views/live/index.vue'),
          meta: { title: '展会管理' },
        },
        {
          path: '/live/detail',
          component: () => import('../views/live/detail.vue'),
          meta: { title: '展会信息管理' },
        },
        // 交易审核管理
        {
          path: '/transaction',
          component: () => import('../views/transaction/index.vue'),
          meta: { title: '交易审核管理' },
        },
        // 技术新闻
        {
          path: '/news',
          component: () => import('../views/news/index.vue'),
          meta: { title: '技术新闻管理' },
        },
        {
          path: '/news/detail',
          component: () => import('../views/news/detail.vue'),
          meta: { title: '信息管理' },
        },
        // 科学普及
        {
          path: '/universal',
          component: () => import('../views/universal/index.vue'),
          meta: { title: '科学普及管理' },
        },
        {
          path: '/universal/detail',
          component: () => import('../views/universal/detail.vue'),
          meta: { title: '信息管理' },
        },
        // 智库视点
        {
          path: '/viewPoint',
          component: () => import('../views/viewPoint/index.vue'),
          meta: { title: '智库视点管理' },
        },
        {
          path: '/viewPoint/detail',
          component: () => import('../views/viewPoint/detail.vue'),
          meta: { title: '信息管理' },
        },
        // 项目路演
        {
          path: '/roadshow',
          component: () => import('../views/roadshow/index.vue'),
          meta: { title: '项目路演' },
        },
        {
          path: '/roadshow/detail',
          component: () => import('../views/roadshow/detail.vue'),
          meta: { title: '项目路演信息管理' },
        },
        // 嘉宾访谈
        {
          path: '/interview',
          component: () => import('../views/interview/index.vue'),
          meta: { title: '嘉宾访谈' },
        },
        {
          path: '/interview/detail',
          component: () => import('../views/interview/detail.vue'),
          meta: { title: '嘉宾访谈信息管理' },
        },
        // 通知管理
        {
          path: '/notice',
          component: () => import('../views/notice/index.vue'),
          meta: { title: '通知管理' },
        },
        {
          path: '/notice/detail',
          component: () => import('../views/notice/detail.vue'),
          meta: { title: '通知信息管理' },
        },
        // 科技新闻
        {
          path: '/science',
          component: () => import('../views/science/index.vue'),
          meta: { title: '科技新闻' },
        },
        {
          path: '/science/detail',
          component: () => import('../views/science/detail.vue'),
          meta: { title: '科技新闻信息管理' },
        },
        // e专利
        {
          path: '/patent',
          component: () => import('../views/patent/index.vue'),
          meta: { title: 'e专利' },
        },
        {
          path: '/patent/detail',
          component: () => import('../views/patent/detail.vue'),
          meta: { title: 'e专利信息管理' },
        },
        {
          path: '/patent/result',
          component: () => import('../views/patent/result.vue'),
          meta: { title: 'e专利导出结果' },
        },
        // 调研调查
        {
          path: '/investigation',
          component: () => import('../views/investigation/index.vue'),
          meta: { title: '调研调查' },
        },
        {
          path: '/investigation/detail',
          component: () => import('../views/investigation/detail.vue'),
          meta: { title: '调研调查信息管理' },
        },
        {
          path: '/investigation/project',
          component: () => import('../views/investigation/project.vue'),
          meta: { title: '项目征集信息' },
        },
        {
          path: '/investigation/projectDetail',
          component: () => import('../views/investigation/projectDetail.vue'),
          meta: { title: '项目征集详细信息' },
        },
        // 培训问诊
        {
          path: '/train',
          component: () => import('../views/train/index.vue'),
          meta: { title: '培训问诊' },
        },
        {
          path: '/train/detail',
          component: () => import('../views/train/detail.vue'),
          meta: { title: '培训问诊信息管理' },
        },
        // 科技频道
        {
          path: '/channel',
          component: () => import('../views/channel/index.vue'),
          meta: { title: '科技频道' },
        },
        {
          path: '/channel/detail',
          component: () => import('../views/channel/detail.vue'),
          meta: { title: '科技频道信息管理' },
        },
        // 字典表
        {
          path: '/dictionary',
          component: () => import('../views/dictionary/index.vue'),
          meta: { title: '字典表管理' },
        },
        {
          path: '/dictionary/detail',
          component: () => import('../views/dictionary/detail.vue'),
          meta: { title: '字典表信息管理' },
        },
        // 字典表
        {
          path: '/updatePwd',
          component: () => import('../views/updatePwd/index.vue'),
          meta: { title: '密码管理' },
        },
      ],
    },
    {
      path: '/login',
      component: () => import('../views/Login.vue'),
      meta: { title: '登录' },
    },
    {
      path: '*',
      redirect: '/404',
    },
  ],
});
